com.jogamp.opengl.math.geom

## Enum Frustum.Location

- java.lang.Object
- - java.lang.Enum<Frustum.Location>
  - - com.jogamp.opengl.math.geom.Frustum.Location

- All Implemented Interfaces:
    Serializable, Comparable<Frustum.Location>
  Enclosing class:
    Frustum

      public static enum Frustum.Location
      extends Enum<Frustum.Location>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSIDE`
    `INTERSECT`
    `OUTSIDE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Frustum.Location` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Frustum.Location[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OUTSIDE

          public static final Frustum.Location OUTSIDE

    - #### INSIDE

          public static final Frustum.Location INSIDE

    - #### INTERSECT

          public static final Frustum.Location INTERSECT

  - ### Method Detail

    - #### values

          public static Frustum.Location[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Frustum.Location c : Frustum.Location.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Frustum.Location valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.